Fetch Organisation Meetings Api
curl --request GET \
--url https://services.meetchase.ai/api/v1/meetings \
--header 'X-API-Key: <api-key>'import requests
url = "https://services.meetchase.ai/api/v1/meetings"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://services.meetchase.ai/api/v1/meetings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"bot": {
"email": "bot@example.com",
"first_name": "Bartholomew",
"id": 1,
"last_name": "Fleetwood"
},
"campaign": {
"id": 1,
"name": "Lead Generation Campaign"
},
"cancelled": false,
"contact": {
"email": "contact@example.com",
"first_name": "Alice",
"id": 1,
"last_name": "Blackacre"
},
"created_at": "2024-01-21T12:00:00",
"end": "2024-01-26T13:00:00",
"exchange_id": 1,
"iana_timezone": "Etc/UTC",
"id": 1,
"meeting_link": "https://example.com/meeting-link",
"start": "2024-01-26T12:00:00",
"summary": "Acme Corporation x ChaseLabs: Intro Call",
"user": {
"email": "user@example.com",
"first_name": "Robert",
"id": 1,
"last_name": "Vaynerchuk"
}
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Meetings & Conversions
Fetch Meetings
Retrieves a list of meetings scheduled within an organisation for a specified date range.
Query Parameters
start_date(date, optional): The start date for filtering meetings. Meetings on or after this date will be included.end_date(date, optional): The end date for filtering meetings. Meetings on or before this date will be included.
Headers
X-API-Key: The API key for authentication.
Response
- Returns a list of
ExternalMeetingobjects representing each meeting within the specified date range. Each object includes details such as the meeting’s start and end times, timezone, summary, status (cancelled or not), meeting link, and participant information.
GET
/
api
/
v1
/
meetings
Fetch Organisation Meetings Api
Authorizations
Key used to authenticate user API requests.
Response
Successful Response
Show child attributes
Show child attributes
Example:
{
"id": 1,
"name": "Lead Generation Campaign"
}
Represents the basic contact details of a correspondent.
Show child attributes
Show child attributes
Example:
{
"email": "alice@example.com",
"first_name": "Alice",
"last_name": "Smith"
}
Represents the basic contact details of a correspondent.
Show child attributes
Show child attributes
Example:
{
"email": "alice@example.com",
"first_name": "Alice",
"last_name": "Smith"
}
Represents the basic contact details of a correspondent.
Show child attributes
Show child attributes
Example:
{
"email": "alice@example.com",
"first_name": "Alice",
"last_name": "Smith"
}